import greenfoot.GreenfootImage;

/**
 * PressurePlate
 * 
 * @author Taylor Born
 * @version January 2014
 */
public class PressurePlate extends GameObject
{
    private static GreenfootImage IMAGE = new GreenfootImage("PressurePlate.png");

    private char id;
    private boolean pressed = false;

    public PressurePlate(char id)
    {
        this.id = id;
        setImage(IMAGE);
    }
    
    public char getID()
    {
        return id;
    }
    
    @Override
    public void act()
    {
        boolean playerOnThis = onThis(Terrain.main.getPlayer());
        if (playerOnThis != pressed && Terrain.main.isReadyToSend())
        {
            pressed = playerOnThis;
            Terrain.main.sendMessage(new Integer[]{ new Integer(Terrain.MESSAGE_TRANSPORT), new Integer(id), new Integer(pressed ? 0 : 1) }, null);
        }
    }
}