import greenfoot.Actor;

/**
 * GameObject
 * 
 * @author Taylor Born
 * @version May 2012
 */
public abstract class GameObject extends Translatable
{
//     protected boolean hitsFence(int radius)
//     {
//         for (Object o : getWorld().getObjects(Fence.class))
//         {
//             Fence f = (Fence)o;
//             if (getX() + radius >= f.getX() - f.getImage().getWidth() / 2 && getX() - radius <= f.getX() + f.getImage().getWidth() / 2)
//                 if (getY() + radius >= f.getY() - f.getImage().getHeight() / 2 && getY() - radius <= f.getY() + f.getImage().getHeight() / 2)
//                     return true;
//         }
//         return false;
//     }
    protected boolean hitsGate(int radius)
    {
        for (Gate g : (java.util.List<Gate>)getWorld().getObjects(Gate.class))
            if (getX() + radius >= g.getX() - g.getImage().getWidth() / 2 && getX() - radius <= g.getX() + g.getImage().getWidth() / 2)
                if (getY() + radius >= g.getY() - g.getImage().getHeight() / 2 && getY() - radius <= g.getY() + g.getImage().getHeight() / 2)
                    return true;
        return false;
    }
    
    
    // Was in Transport...
    // Now also to be used with PressurePlate, PatternConsole, and GateAccess
    public boolean onThis(Actor actor)
    {
        return actor.getX() >= getX() - 15 && actor.getX() <= getX() + 15 && actor.getY() >= getY() - 15 && actor.getY() <= getY() + 15;
    }
}