import greenfoot.GreenfootImage;
import greenfoot.Greenfoot;
import java.awt.Color;

/**
 * Key
 * 
 * @author Taylor Born
 * @version January 2014
 */
public class Key extends GameObject
{
    private char id;

    public Key(char id)
    {
        this.id = id;
        setImage(new GreenfootImage("  Key  ", 14, Color.RED, new Color(0, 0, 0, 0)));
    }
    
    @Override
    public void act()
    {
        if (onThis(Terrain.main.getPlayer()) && Greenfoot.isKeyDown("e"))
        {
            Terrain.main.pickedUpKey(id);
            getWorld().removeObject(this);
        }
    }
}