/**
 * RandomGenerator
 * 
 * @author Taylor Born
 * @version May 2012
 */
public class RandomGenerator
{
    private static int seed = (int)(Math.random() * 1000);
    private static final int CONSTANT_A = 71483;
    private static final int CONSTANT_B = 357;
    
    public static int getSeed()
    {
        return seed;
    }
    public static void setSeed(int s)
    {
        seed = s;
    }
    public static int getRandom(int low, int high)
    {
        long n = (long)seed * CONSTANT_A + CONSTANT_B;
        seed = (int)(n % Integer.MAX_VALUE);
        return (seed % (high - low + 1)) + low;
    }
}