import greenfoot.Actor;
import greenfoot.GreenfootImage;

/**
 * TreePart
 * 
 * @author Taylor Born
 * @version May 2012
 */
public class TreePart extends Actor
{
    private static GreenfootImage[] images = new GreenfootImage[6];
    static
    {
        images[0] = new GreenfootImage("TreeTrunk.png");
        for (int i = 0; i < 5; i++)
            images[i + 1] = new GreenfootImage("Tree" + i + ".png");
    }

    public TreePart(int n)
    {
        setImage(images[n + 1]);
        setRotation(RandomGenerator.getRandom(0, 359));
    }
}